#include <cstdio>

namespace std {

  int fseek(FILE *stream, long offset, int origin) {
    if (origin < 0 || origin > 2)
      return 1;
    return stream->try_seek((__euler_seek_from)origin, offset) ? 0 : 2;
  }

}
